aruba.it
> English Italiano Français Español
TECHNICAL SUPPORT
24/7 service Request support
SALES INFO
24/7 service Request sales info
 
go to the main page

Announcements

28/02/2020

Aruba's Trust Services are even more secure with the TLS 1.2 protocol

To guarantee greater system security and adhere to industry best practices, Aruba PEC has activated the TLS 1.2 transmission protocol 
 
To guarantee greater system security and adhere to industry best practices, Aruba PEC has activated the TLS 1.2 transmission protocol for its Trust Services as well.
TLS (Transport Layer Security) is a protocol designed to protect the confidentiality of information sent via the Internet and, together with the HTTPS protocol, guarantees the security and integrity of data exchanged between clients and servers. The system is currently compatible with older SSLv3, TLS 1.0 and TLS 1.1 technologies, but for security reasons, these protocols will be removed and will no longer be supported.

Check the minimum system requirements for using Trust Services after the SSLv3, TLS 1.0 and TLS 1.1 protocols have been withdrawn:

1. Operating Systems/Main browsers:
 
Operating System  Minimum supported version  Browser  Minimum supported version 
  Mobile     Android     4.4.2     All     All  
Apple iOS  No restrictions     All    No restrictions  
  Windows Phone  8.1   Internet Explorer     11  
 Desktop    OS X    10.9    Safari   7.x 
  Chrome    34.x 
  Firefox    29.x 
Winodws XP  SP3    Chrome    49.x 
 Firefox   49.x 
Windows 7  All   Chrome   30.x 
  Firefox   31.3.0 ESR/45.x 
 Internet Explorer   11 
 Opera   17.x 
Windows 8  8.0   Firefox   27 
 8.1   Internet Explorer   11 
Windows 10  No restrictions     All   No restrictions 
GNU/Linux
 (any distribution) 
 No restrictions    Firefox   27.x
 Chrome   37.x

2. Main email clients:
 
Client  Minimum supported version  Operating System  Minimum supported version 
  Mobile     Mail     No restrictions    iOS     11.x 
Android  5.x 
  Desktop    Apple Mail     No restrictions    OSX     10.12 (Sierra) 
  Outlook   2003   No restrictions    No restrictions  
  Outlook 2011   2011    MAC OSX   Only on versions10.11 - 10.13 
Thunderbird  45.6   No restrictions    No restrictions  

3. Main integration languages (for companies that have incorporated Aruba's PEC services in their own software):
 
 Language/Framework?    Minimum version  
  Java   8b132
  OpenSSL   1.0.1h
  .Net Framework   4.6